Name:           tetgen
Version:        1.5.0
Release:    2%{?dist}
Summary:        A Quality Tetrahedral Mesh Generator

License:        AGPL-3.0-or-later
URL:            http://wias-berlin.de/software/tetgen/
Source0:        http://www.tetgen.org/1.5/src/%{name}%{version}.tar.gz
Source1:        http://www.tetgen.org/1.5/doc/manual/manual.pdf
Patch0:         tetgen_build.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  make

%description
TetGen is a program to generate tetrahedral meshes of any 3D polyhedral
domains.
TetGen generates exact constrained Delaunay tetrahedralizations, boundary
conforming Delaunay meshes, and Voronoi partitions.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Manual for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains the %{name} manual.


%prep
%setup -q -n%{name}%{version}
%patch0 -p1

cp -a %{SOURCE1} .

sed -i 's|\r||g' example.poly


%build
%cmake
%cmake_build


%install
%cmake_install




%files
%doc README LICENSE
%{_bindir}/%{name}
%{_libdir}/libtet.so.*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/libtet.so

%files doc
%doc example.poly LICENSE manual.pdf


%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.5.0-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-1
- initial build
